const char indexHTML[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>Web Schalter 3.1</title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name=viewport content="width=device-width, initial-scale=1">
  <script type="text/javascript">
var Url = "/";     
window.onload = start;                //Funktion nach dem laden des HTMLs ausführen

function start () 
{
myAjax = new XMLHttpRequest();        // Bilden anens AJAX objekts
myAjax.onreadystatechange=LesenAjax;  // Wenn Ereignis vom Server kommt, wird funktion LesenAjax ausgeführt
setInterval(aktualisieren,1000);      // Initialisiert das Timer-gesteuerte Ausführen von Funktion //aktualisieren();
aktualisieren ();                     // Relais Zustand holen beim laden der Webseite
}

function aktualisieren () 
{
myAjax.open("GET",Url+"?Zustand=r",true);  // GET-Anfrage an Server senden Asynhron
myAjax.send();	
}

function LesenAjax()                      //AJAX-Ereignis ist passiert
{
    if (myAjax.readyState==4 && myAjax.status==200) // Wenn antwort volständig und OK
		{                                               // dann
		  var datenstr=myAjax.responseText;             // empfangene Daten als Text 

      if (datenstr == '0')                          // Button Farben ändern
      {
       document.getElementById('aus').style.backgroundColor = '#FFA6D9';
       document.getElementById('ein').style.backgroundColor = '#7E00E2';
      }
      if (datenstr == '1') 
      {
       document.getElementById('aus').style.backgroundColor = '#7E00E2';
       document.getElementById('ein').style.backgroundColor = '#FFA6D9';
      }      
    }
}

function httpGet ( sende )
      {
        myAjax.open ( "GET", Url + sende, true ) ;
        myAjax.send() ;
      }
	  
</script>

<style type="text/css" media="screen, print, projection">
.button {
   background-color: #7E00E2;
   border: 2;
   color: #FFFF00;
   text-align: center;
   text-decoration: none;
   display: inline-block;
   font-size: 16px;
   margin: 8px 8px;
   cursor: pointer;
   border-radius: 10px;
   padding: 6px 6px 6px 6px;
}
</style>

 </head>
 <body>
 <p align=middle>
   <button id="aus" class="button" onclick="httpGet('?relais=0')">Aus</button>
   <button id="ein"class="button" onclick="httpGet('?relais=1')">Ein</button>
   <button class="button" onclick="httpGet('?relais=2')">Umschalten</button>
 </p>
  </body>
</html>
)=====" ;
